import accounting from 'accounting';

export const formatMoney = (str, c = 'Rp ') => {
  return accounting.formatMoney(str, c, ',', '.');
};

export const validateEmail = (s) => {
  const re =
    /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
  return re.test(s);
};
